Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.context
Class ResponseWriterWrapper

    java.lang.Object
      java.io.Writer
          javax.faces.context.ResponseWriter
              org.apache.myfaces.shared_orchestra.context.ResponseWriterWrapper

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public abstract class ResponseWriterWrapper

extends javax.faces.context.ResponseWriter

Convenient base class for writing a ResponseWriter wrapper class.

Author:
  Manfred Geiler

Field Summary
`protected javax.faces.context.ResponseWriter` | `_responseWriter`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)`

Method Summary
`abstract javax.faces.context.ResponseWriter` | `cloneWithWriter(Writer writer)`
`void` | `close()`
`void` | `endDocument()`
`void` | `endElement(String s)`
`void` | `flush()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`void` | `startDocument()`
`void` | `startElement(String s, javax.faces.component.UIComponent uicomponent)`
`void` | `write(char[] cbuf)`
`void` | `write(char[] cbuf, int off, int len)`
`void` | `write(int c)`
`void` | `write(String str)`
`void` | `write(String str, int off, int len)`
`void` | `writeAttribute(String s, Object obj, String s1)`
`void` | `writeComment(Object obj)`
`void` | `writeText(char[] ac, int i, int j)`
`void` | `writeText(Object obj, String s)`
`void` | `writeURIAttribute(String s, Object obj, String s1)`

Methods inherited from class java.io.Writer
`append, append, append`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _responseWriter

    protected javax.faces.context.ResponseWriter _responseWriter

Constructor Detail

### ResponseWriterWrapper

    public ResponseWriterWrapper(javax.faces.context.ResponseWriter responseWriter)

Method Detail

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in class `javax.faces.context.ResponseWriter`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in class `javax.faces.context.ResponseWriter`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### startDocument

    public void startDocument()
                       throws IOException

  Specified by:
    `startDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### endDocument

    public void endDocument()
                     throws IOException

  Specified by:
    `endDocument` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### startElement

    public void startElement(String s,
                             javax.faces.component.UIComponent uicomponent)
                      throws IOException

  Specified by:
    `startElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### endElement

    public void endElement(String s)
                    throws IOException

  Specified by:
    `endElement` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeAttribute

    public void writeAttribute(String s,
                               Object obj,
                               String s1)
                        throws IOException

  Specified by:
    `writeAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeURIAttribute

    public void writeURIAttribute(String s,
                                  Object obj,
                                  String s1)
                           throws IOException

  Specified by:
    `writeURIAttribute` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeComment

    public void writeComment(Object obj)
                      throws IOException

  Specified by:
    `writeComment` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(Object obj,
                          String s)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### writeText

    public void writeText(char[] ac,
                          int i,
                          int j)
                   throws IOException

  Specified by:
    `writeText` in class `javax.faces.context.ResponseWriter`
  Throws:
    `IOException`

### cloneWithWriter

    public abstract javax.faces.context.ResponseWriter cloneWithWriter(Writer writer)

  Specified by:
    `cloneWithWriter` in class `javax.faces.context.ResponseWriter`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(int c)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(String str,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `Writer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.